org.apache.commons.jexl.util

## Class PropertyExecutor

- java.lang.Object
- - org.apache.commons.jexl.util.AbstractExecutor
  - - org.apache.commons.jexl.util.PropertyExecutor

Direct Known Subclasses:
  BooleanPropertyExecutor

    public class PropertyExecutor
    extends AbstractExecutor

Returned the value of object property when executed.

Since:
  1.0

### Field Summary

Fields
`protected Introspector` `introspector` The JEXL introspector used.
`protected java.lang.String` `methodUsed` The method used.

### Fields inherited from class org.apache.commons.jexl.util.AbstractExecutor

`method, rlog`

### Constructor Summary

Constructors
Constructor and Description
`PropertyExecutor(org.apache.commons.logging.Log r, Introspector ispctr, java.lang.Class clazz, java.lang.String property)` Constructor.

### Method Summary

Methods
`protected void` `discover(java.lang.Class clazz, java.lang.String property)` Locate the getter method for this property.
`java.lang.Object` `execute(java.lang.Object o)` Execute method against context.

### Methods inherited from class org.apache.commons.jexl.util.AbstractExecutor

`getMethod, isAlive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### introspector

    protected Introspector introspector

The JEXL introspector used.

#### methodUsed

    protected java.lang.String methodUsed

The method used.

### Constructor Detail

#### PropertyExecutor

    public PropertyExecutor(org.apache.commons.logging.Log r,
                    Introspector ispctr,
                    java.lang.Class clazz,
                    java.lang.String property)

Constructor.

Parameters:
  `r` - The log for this property executor instance.
  `ispctr` - The JEXL introspector.
  `clazz` - The class being examined.
  `property` - The property being addressed.

### Method Detail

#### discover

    protected void discover(java.lang.Class clazz,
                java.lang.String property)

Locate the getter method for this property.

Parameters:
  `clazz` - The class being analyzed.
  `property` - Name of the property.

#### execute

    public java.lang.Object execute(java.lang.Object o)
                             throws java.lang.IllegalAccessException,
                                    java.lang.reflect.InvocationTargetException

Execute method against context.

Specified by:
  `execute` in class `AbstractExecutor`
Parameters:
  `o` - The owner.
Returns:
  The return value.
Throws:
  `java.lang.IllegalAccessException` - Method is inaccessible.
  `java.lang.reflect.InvocationTargetException` - Method body throws an exception.